Bug 887431 - [pt_BR] pofilter variables test is failing on a missing %s in the msgstr
Summary: [pt_BR] pofilter variables test is failing on a missing %s in the msgstr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks: 771481
TreeView+ depends on / blocked
 
Reported: 2012-12-15 05:25 UTC by John Sefler
Modified: 2013-02-21 09:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 09:04:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0350 0 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2013-02-20 20:53:35 UTC

Description John Sefler 2012-12-15 05:25:22 UTC
Description of problem:

# (pofilter) variables: Do not translate: %s
msgid "%s subscriptions removed from this system."
msgstr "% subscrições removidas deste sistema"
        ^
        THIS SHOULD BE %s

This mistake will fail to produce a translation at runtime.  For example:

[root@jsefler-6 ~]# LANG=pt_BR.UTF-8 subscription-manager remove --all
2 subscriptions removed from this system.

Expected Results:
2 subscrições removidas deste sistema



Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.15-1.el6.x86_64

Comment 3 John Sefler 2012-12-21 23:27:28 UTC
Verifying Version...
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.18-1.el6.x86_64

[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo -o /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.po

[root@jsefler-6 ~]# pofilter -t printf /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.po
processing 1 files...
[###########################################] 100%

VERIFIED: pofilter printf test is now passing for LANG=pt_BR

[root@jsefler-6 ~]# pofilter -t variables /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.po
processing 1 files...
[###########################################] 100%

VERIFIED: pofilter variables test is now passing for LANG=pt_BR

[root@jsefler-6 ~]# grep -A1 "%s subscriptions removed from this system." /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.po
msgid "%s subscriptions removed from this system."
msgstr "%s subscrições removidas deste sistema"

VERIFIED

Comment 6 errata-xmlrpc 2013-02-21 09:04:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0350.html


Note You need to log in before you can comment on or make changes to this bug.